Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83900 - XFree86 fails on Weitek P9100
Summary: XFree86 fails on Weitek P9100
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 20:30 UTC by Alan Cox
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 15:01:09 UTC


Attachments (Terms of Use)

Description Alan Cox 2003-02-09 20:30:02 UTC
Description of problem:

I'm sure it was working in 4.2 as unaccelerated but maybe I still had the old
server.
Vesa is also failing so the best I can get is 320x200.  This is mostly a tag
item so that
we know its broken. I don't expect an instant fix

The installer runs XFree86 with the vga driver then the veaa driver the goes
back to text mode. That is all handled ok so you get a text mode box fine

Comment 1 Mike A. Harris 2003-02-10 16:43:45 UTC
Please attach full X server log and config file.

Comment 2 Alan Cox 2003-02-10 19:52:46 UTC
What do you want logs of . vesa can't find any matcing modes at all, vga gives
me 320x200 as 
it doesnt seem to know the chipset



Comment 3 Mike A. Harris 2003-02-11 08:56:20 UTC
I thought the logs might show something useful..  I just checked the
XFree86 support site, and this hardware is completely unsupported in
4.2.1, and still not ported to 4.3.0.

http://www.xfree86.org/4.2.1/Status36.html#36

Does this card have a VESA VBE BIOS?  If so, what version of VBE?
I'm going to checkout the 3.3.6 codebase out of CVS and see how much
work might be involved in writing a Weitek driver for 9x00.

Comment 4 Alan Cox 2003-02-11 11:51:01 UTC
Its a fairly old card. I dont know what VBE it has.

Before you worry about writing a driver I'd count the number of Weitek P9xxx
entries in our RHN stats. It might not be worth it.


Comment 5 Mike A. Harris 2003-02-11 12:31:49 UTC
To get more than 2320x240 with "vga" you'd need to use color depth 4 with
the vga driver.  That will probably suck, but should give 640x480 16 colors.

Do you have docs for Weitek hardware by chance?  Might not be necessary,
because there is driver source in 3.3.6 I found.  A basic driver without
DGA/DPMS and all that crap might not be too difficult.

Comment 6 Mike A. Harris 2003-02-14 06:34:04 UTC
Defering for future..  we can chat about working on a driver
for this if you like when time isn't so busy in the future.
I investigated 3.3.6 sources, and there should IMHO be enough
info there to get a driver going without accel, and probably
even with accel.


Note You need to log in before you can comment on or make changes to this bug.